Subject: [os2genau_digest] No. 1295
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 12 May 2006 00:00:43 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 11 May 2006
 Number  1295
**************************************************

Subjects for today
 
1  Re:  PCI HOST CARD : Mike O'Connor" <mikeoc at internode.on dot net>
2  Re:  PCI HOST CARD : Mike O'Connor" <mikeoc at internode.on dot net>
3  Re:  PCI HOST CARD : Ed Durrant <edurrant at bigpond dot net dot au>
3   USB 2.O > PCI HOST CARD : nickl at pacific dot net dot au
4  Re:  USB 2.O > PCI HOST CARD : nickl at pacific dot net dot au

**= Email   1 ==========================**

Date:  Thu, 11 May 2006 03:19:47 +1000
From:  "Mike O'Connor" <mikeoc at internode.on dot net>
Subject:  Re:  PCI HOST CARD

nickl at pacific dot net dot au wrote:

>Hi All.
>
>First of all, thank you for your posts. They have been most helpful, but
>I'm still in a bit of a bind. <more>.
>
>A friend of mine has donated one of these USB 2.0 to PCI Host Cards. Being
>a Windows person, he didn't want to use it, as he had lost the
>instructions to install. <G>.
>
>Ironically, it is the Windows part that runs. It also can be seen on
>Kubuntu Linux (but didn't want to open).
>
>Here is what I sent to eComStation, as I'm using eCs2.0b2.
>
>----------------------------------------------------------
>A High Speed USB 2.0 PCI Host Card will not run under eCs2.0b2. Same card
>runs under  Windows and Kubuntu Linux. Original USB with this Celeron 
>P700 motherboard will run under 1.0, but the USB Pen Drive, when changed
>from there to  the USB 2.0 will not run. USB Device Manager in Utilities
>programme does not detect the Pen Drive. Are latest USB Drivers being used
>on eCs2.0b2? ----------------------------------------------------------
>
>That would be my first question. Maybe a more elderly version of the USB
>drivers run on eCs2.0b2 (for stability reasons, whilst other sections of
>the OS is being tested?). What is a quick way I could test for that? I
>have also suddenly realised that the snippet of CONFIG.SYS I sent was from
>my system (that I'm writing from now) which is running eCs1.2MR
>(downloaded version) and sorted under Doug Bissett's system, and not
>eCs2.0b2 which uses a different sort method, and the USB Drivers are
>spread out.
>
>Which brings another question: I have heard that there should be separate
>entrys for each USB ports in CONFIG.SYS. Two things makes me wonder:
>Firstly, the 2xUSB 1.0 ports that come up with the motherboard work
>alright....it's the 4x new ones on the PCI Card that do not. Secondly:
>Which entry(ies) do I have to repeat, and Thirdly: I thought sending
>/REMOVABLES:2 to REMOVABLES:6 would solve that. Maybe not, but then maybe
>I have the wrong USB Version in.
>
>Or maybe, just maybe, I'm missing something really simple. Apologies for
>bothering you all again, but any ideas would be greatly appreciated.
>
>Looking forward to hearing from you.
>
>Regards
>
>NICK
>
Hi Nick,

In your config.sys snippet shown there are _only_ drivers for USB 1.x  
--  USB 2.0  _has_ to have an entry of :

    BASEDEV=USBEHCD.SYS

i.e. for the _EHCI_ Host controller which looks after USB 2.0 -- that is 
also backward compatible with the USB 1.1 [UHCI|OHCI, depending which 
USB 1.1 specification-type is on the new card].
At this moment

If you use [usually in ?\:\os2\boot] HCIMONIT.exe so that you get output 
like [from this machine with an add-in USB 2 PCI card:

    [384SDRAM D:\]os2\boot\hcimonit ,    <<---- not in path usually!
    You have 2 PCI USB UHCI host controller(s)
    You have 1 PCI USB EHCI host controller(s)

    [384SDRAM D:\]

I think [because I had damage from lightning up the ADSL-line, so can't 
check] that all the USB 2.0 PCI Cards that I have had were all NEC 
manufactured to the OHCI+EHCI specification - on some of my systems the 
onboard ports were UHCI - which IIRC is the VIA etc.  chipset and the 
others with OHCI were iNTEL - the EHCI is agnostic [universal for USB 2]!

HTH

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[Please ZIP any attachments, other than GIF/JPG or plain-text]

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 11 May 2006 03:59:42 +1000
From:  "Mike O'Connor" <mikeoc at internode.on dot net>
Subject:  Re:  PCI HOST CARD

Mike O'Connor wrote:

> nickl at pacific dot net dot au wrote:

<SNIPPED>

>> ----------------------------------------------------------
>> A High Speed USB 2.0 PCI Host Card will not run under eCs2.0b2. Same 
>> card
>> runs under  Windows and Kubuntu Linux. Original USB with this Celeron 
>> P700 motherboard will run under 1.0, but the USB Pen Drive, when 
>> changed from there to  the USB 2.0 will not run. USB Device Manager 
>> in Utilities
>> programme does not detect the Pen Drive. Are latest USB Drivers being 
>> used on eCs2.0b2? 
>> ----------------------------------------------------------
>>
>> Which brings another question: I have heard that there should be 
>> separate
>> entrys for each USB ports in CONFIG.SYS. Two things makes me wonder:
>> Firstly, the 2xUSB 1.0 ports that come up with the motherboard work
>> alright....it's the 4x new ones on the PCI Card that do not. Secondly:
>> Which entry(ies) do I have to repeat, and Thirdly: I thought sending
>> /REMOVABLES:2 to REMOVABLES:6 would solve that. Maybe not, but then 
>> maybe
>> I have the wrong USB Version in.
>> NICK
>>
> Hi Nick,
>
> In your config.sys snippet shown there are _only_ drivers for USB 1.x  
> --  USB 2.0  _has_ to have an entry of :
>
>    BASEDEV=USBEHCD.SYS
>
> i.e. for the _EHCI_ Host controller which looks after USB 2.0 -- that 
> is also backward compatible with the USB 1.1 [UHCI|OHCI, depending 
> which USB 1.1 specification-type is on the new card].
> At this moment
>
> If you use [usually in ?\:\os2\boot] HCIMONIT.exe so that you get 
> output like [from this machine with an add-in USB 2 PCI card:
>
>    [384SDRAM D:\]os2\boot\hcimonit ,    <<---- not in path usually!
>    You have 2 PCI USB UHCI host controller(s)
>    You have 1 PCI USB EHCI host controller(s)
>
>    [384SDRAM D:\]
>
> I think [because I had damage from lightning up the ADSL-line, so 
> can't check] that all the USB 2.0 PCI Cards that I have had were all 
> NEC manufactured to the OHCI+EHCI specification - on some of my 
> systems the onboard ports were UHCI - which IIRC is the VIA etc.  
> chipset and the others with OHCI were iNTEL - the EHCI is agnostic 
> [universal for USB 2]!
>
> HTH
>
Followup :

    Hi Nick,

    I just hunted down the Veit Kannegieser version of Crasig Hart's
    PCI.EXE and can confirm that in this machine the UHCI USB 1.1 ports
    are definitely VIA :

     From PCI.EXE output :
     Vendor 1106h VIA Technologies Inc
     Device 3038h VT82xxxxx UHCI USB 1.1 Controller (All VIA Chipsets)
     Command 0117h (I/O Access, Memory Access, BusMaster,
    MemWrite+Invalidate, System Errors)
     Status 0210h (Has Capabilities List, Medium Timing)
     Revision 61h, Header Type 80h, Bus Latency Timer 40h
     Self test 00h (Self test not supported)
     Cache line size 32 Bytes (8 DWords)
     PCI Class Serial, type USB (UHCI)
     Subsystem ID 30381106h Unknown (Generic ID)
     Subsystem Vendor 1106h VIA Technologies Inc
     Address 0 is not present or not configured!
     Address 1 is not present or not configured!
     Address 2 is not present or not configured!
     Address 3 is not present or not configured!
     Address 4 is an I/O Port : 0000D400h
     System IRQ 11, INT# A
     New Capabilities List Present:
       Power Management Capability, Version 1.1
         Supports low power State D1
         Supports low power State D2
         Supports PME# signalling from mode(s) D0, D1, D2, D3hot

         PME# signalling is currently disabled
         Current Power State : D0 (Device operational, no powersaving)

     Vendor 1106h VIA Technologies Inc
     Device 3038h VT82xxxxx UHCI USB 1.1 Controller (All VIA Chipsets)
     Command 0117h (I/O Access, Memory Access, BusMaster,
    MemWrite+Invalidate, System Errors)
     Status 0210h (Has Capabilities List, Medium Timing)
     Revision 61h, Header Type 80h, Bus Latency Timer 40h
     Self test 00h (Self test not supported)
     Cache line size 32 Bytes (8 DWords)
     PCI Class Serial, type USB (UHCI)
     Subsystem ID 30381106h Unknown (Generic ID)
     Subsystem Vendor 1106h VIA Technologies Inc
     Address 0 is not present or not configured!
     Address 1 is not present or not configured!
     Address 2 is not present or not configured!
     Address 3 is not present or not configured!
     Address 4 is an I/O Port : 0000D800h
     System IRQ 10, INT# B
     New Capabilities List Present:
       Power Management Capability, Version 1.1
         Supports low power State D1
         Supports low power State D2
         Supports PME# signalling from mode(s) D0, D1, D2, D3hot

         PME# signalling is currently disabled
         Current Power State : D0 (Device operational, no powersaving)

     Vendor 1106h VIA Technologies Inc
     Device 3104h VT6202 USB 2.0 Enhanced Host Controller
     Command 0117h (I/O Access, Memory Access, BusMaster,
    MemWrite+Invalidate, System Errors)
     Status 0210h (Has Capabilities List, Medium Timing)
     Revision 63h, Header Type 80h, Bus Latency Timer 40h
     Self test 00h (Self test not supported)
     Cache line size 32 Bytes (8 DWords)
     PCI Class Serial, type USB 2.0 (EHCI)
     Subsystem ID 31041106h VT6202 USB 2.0 Enhanced Host Controller
    (Generic ID)
     Subsystem Vendor 1106h VIA Technologies Inc
     Address 0 is a Memory Address (anywhere in 0-4GiB) : CBFEFE00h
     System IRQ 10, INT# C
     New Capabilities List Present:
       Power Management Capability, Version 1.1
         Supports low power State D1
         Supports low power State D2
         Supports PME# signalling from mode(s) D0, D1, D2, D3hot

         PME# signalling is currently disabled
         Current Power State : D0 (Device operational, no power saving)

I have found that there are frequently IRQ/Pin# conflicts between add-in 
USB2 cards and the original 1.1 on-board USB. Veit has an excellent 
utility called SPCIIRQ, which allows on to interrogate the registers on 
the card to determine exactly which IRQs it is attempting to set - the S 
in SPCIIRQ is for [SET!].

Hope that explains a few things!

Sometimes it's necessary to disable BIOS PnP, so that the BIOS actually 
alocates the IRQs/Pin# - when you read the documentation you'll find 
that there are a number of different valid combinations one can have, 
which will vary depending upon which slot or slots are used.
there is usually an additional port on the card - a fifth, that can be 
attached internally.

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[Please ZIP any attachments, other than GIF/JPG or plain-text]

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 11 May 2006 06:14:15 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  PCI HOST CARD

If you download the latest USB driver packages (USBBASIC and USBMSD 
support at least), in the USBBASIC package there's a program USBINST I 
think, that checks the USB card and makes the necessary changes to 
config.sys for you.

I would expect the install of eCS 2.0 to do something similar, however 
if you have added the card after installing eCS 2.0 this will not have 
occurred.

So the best solution is to download and install USB support again.

Cheers/2

Ed.

nickl at pacific dot net dot au wrote:
> Hi All.
> 
> First of all, thank you for your posts. They have been most helpful, but
> I'm still in a bit of a bind. <more>.
> 
> A friend of mine has donated one of these USB 2.0 to PCI Host Cards. Being
> a Windows person, he didn't want to use it, as he had lost the
> instructions to install. <G>.
> 
> Ironically, it is the Windows part that runs. It also can be seen on
> Kubuntu Linux (but didn't want to open).
> 
> Here is what I sent to eComStation, as I'm using eCs2.0b2.
> 
> ----------------------------------------------------------
> A High Speed USB 2.0 PCI Host Card will not run under eCs2.0b2. Same card
> runs under  Windows and Kubuntu Linux. Original USB with this Celeron 
> P700 motherboard will run under 1.0, but the USB Pen Drive, when changed
> from there to  the USB 2.0 will not run. USB Device Manager in Utilities
> programme does not detect the Pen Drive. Are latest USB Drivers being used
> on eCs2.0b2? ----------------------------------------------------------
> 
> That would be my first question. Maybe a more elderly version of the USB
> drivers run on eCs2.0b2 (for stability reasons, whilst other sections of
> the OS is being tested?). What is a quick way I could test for that? I
> have also suddenly realised that the snippet of CONFIG.SYS I sent was from
> my system (that I'm writing from now) which is running eCs1.2MR
> (downloaded version) and sorted under Doug Bissett's system, and not
> eCs2.0b2 which uses a different sort method, and the USB Drivers are
> spread out.
> 
> Which brings another question: I have heard that there should be separate
> entrys for each USB ports in CONFIG.SYS. Two things makes me wonder:
> Firstly, the 2xUSB 1.0 ports that come up with the motherboard work
> alright....it's the 4x new ones on the PCI Card that do not. Secondly:
> Which entry(ies) do I have to repeat, and Thirdly: I thought sending
> /REMOVABLES:2 to REMOVABLES:6 would solve that. Maybe not, but then maybe
> I have the wrong USB Version in.
> 
> Or maybe, just maybe, I'm missing something really simple. Apologies for
> bothering you all again, but any ideas would be greatly appreciated.
> 
> Looking forward to hearing from you.
> 
> Regards
> 
> NICK
> 
> In <200605040529.k445TN2o031153 at mailproxy1.pacific dot net dot au>, on 05/04/2006 
>    at 01:13 PM, nickl at pacific dot net dot au said:
> 
>> Hi All.
> 
>> Has there been a posting on PCI Host Cards working with eCs-OS/2?
> 
>> I saw one in the shop the other day, and as I have USB1.2, it seems like
>> an answer....at least until I saw the wintendo drivers required.
> 
>> I asked what drivers. The Sales Assistant did not know, but I worked out
>> that they could mean USB Drivers....maybe rather similar to what I have
>> in my CONFIG.SYS, as shown here:
> 
>> REM [USB section
>> BASEDEV=USBUHCD.SYS
>> BASEDEV=USBUHCD.SYS
>> BASEDEV=USBD.SYS
>> BASEDEV=USBHID.SYS
>> DEVICE=E:\OS2\BOOT\USBPRT.SYS
>> REM DEVICE=E:\OS2\BOOT\USBMOUSE.SYS
>> REM DEVICE=E:\OS2\BOOT\USBKBD.SYS
>> DEVICE=E:\ECS\BOOT\USBRESMG.SYS
>> BASEDEV=USBMSD.ADD /FLOPPIES:0 /REMOVABLES:4 /v
> 
>> Has anybody had success with these cards? Was there major surgery
>> required to the above entries on order to make it work for eCs-OS/2?
> 
>> Look forward to, and thanks in advance to your answers.
> 
>> Regards
> 
>> NICK
> 
>> -----------------------------------------------------------
>> nickl at pacific dot net dot au
>> -----------------------------------------------------------
> 
>
>> 
>
> 
> -----------------------------------------------------------
> nickl at pacific dot net dot au
> -----------------------------------------------------------
> 

>  

> 

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 11 May 2006 13:13:55 +0900
From:  nickl at pacific dot net dot au
Subject:   USB 2.O > PCI HOST CARD

Hi All.

Thanks for all your responses again. I have lots to try out. The good part
about it is that I am also experimenting with eCs2.0b2, which may, in the
end, help us all.

I have also looked under "USB and OS/2" in <http://www.os2warp.be>, which
have some additional ideas for me to try.

I will reply properly when I have either made this card work, or have
become bogged again.

Again, many thanks for your help.

Regards

NICK

-----------------------------------------------------------
nickl at pacific dot net dot au
-----------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 11 May 2006 20:52:46 +0900
From:  nickl at pacific dot net dot au
Subject:  Re:  USB 2.O > PCI HOST CARD

Hi All

In <200605110519.k4B5JSMl031023 at mailproxy1.pacific dot net dot au>, on 05/11/2006 
   at 01:13 PM, nickl at pacific dot net dot au said:

>Hi All.

>Thanks for all your responses again. I have lots to try out. The good
>part about it is that I am also experimenting with eCs2.0b2, which may,
>in the end, help us all.

>I have also looked under "USB and OS/2" in <http://www.os2warp.be>, which
>have some additional ideas for me to try.

>I will reply properly when I have either made this card work, or have
>become bogged again.

Some good news. I've got the card to work. This is what I sent to
eComStation.

----------------------------------------------------------
A High Speed USB 2.0 PCI Host Card WILL run under eCs2.0b2. What I did was
to re-install the USB Drivers (I cheated: I re-installed the whole
system), this time selecting all the drivers and all 4 instances for each
driver. As a precautionary measure, although it may not be essential, I
added FLOPPIES:0 /REMOVABLES:4 /V after USBMSD.ADD in CONFIG.SYS. All 4
USB Ports + the 2 internal USB1.0 now work.
----------------------------------------------------------

I think I may have taken bits of advice from all your entries. Maybe I've
overdone it with all of the drivers and instances, but it is now working.

The plain-labelled card packaging didn't tell me who made it. I read on
the Chipset: NEC Japan D720101GJ 0524PPA43. I looked on the database at
os2warp.be, and that card didn't seem to be mentioned, so I will send it
this information to them.

Again, many thanks.

Regards

NICK

>-----------------------------------------------------------
>nickl at pacific dot net dot au
>-----------------------------------------------------------

> 

-----------------------------------------------------------
nickl at pacific dot net dot au
-----------------------------------------------------------

----------------------------------------------------------------------------------